﻿@model AEWeb.ViewModels.Dashboard.DashboardViewModel
@using AEWeb.ViewModels.KPI
@using AEWeb.ViewModels.Dashboard
@using Domain.Enums.Indicators
@using Microsoft.AspNetCore.Mvc.Localization
@addTagHelper *, AEWeb
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = Model.Name;
    Layout = "_DashboardLayout";
}
@section Styles {
    <style>
        .dashboardrow {
            border: 2px dashed #666;
        }
        /* HIDE RADIO */
        .imageSelector [type=radio] {
            position: absolute;
            opacity: 0;
            width: 0;
            height: 0;
        }

            /* IMAGE STYLES */
            .imageSelector [type=radio] + img {
                cursor: pointer;
            }

            /* CHECKED STYLES */
            .imageSelector [type=radio]:checked + img {
                outline: 2px solid #01cdd4;
            }
    </style>
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>            
            @Localizer["PageDescription"]
        </small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="modal inmodal" id="deleteModalConfirm" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content animated flipInY">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">@Localizer["Close"]</span></button>
                <h4 class="modal-title">@Localizer["TitleConfirmDelete"]</h4>
            </div>
            <div class="modal-body">
                <p>
                    @Html.Raw(Localizer["ConfirmDelete"])
                </p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-white" data-dismiss="modal">@Localizer["No"]</button>
                <a href="/Home" class="btn btn-primary actionYesModal">@Localizer["Yes"]</a>
            </div>
        </div>
    </div>
</div>

@{
    var lastRowDimension = "";
}
<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox-title">
                <div class="col-md-10">&nbsp;</div>
                <div class="col-md-2">
                    <a asp-action="Index" asp-controller="Dashboard">Back to dashboards</a>
                </div>
            </div>
            <div class="ibox-content">
                <div class="container-fluid">
                    @foreach (DashboardRowViewModel row in Model.Config.Rows)
                    {
                        if (!row.Dimension.Equals(lastRowDimension))
                        {
                            var dimensionidrow = "dimensionid" + row.RowNumber;

                            lastRowDimension = row.Dimension;
                        }
                        <div class="dashboardrow">
                            <div class="">
                                <a asp-action="EasyEditRow" asp-controller="Dashboard" asp-route-rowid="@row.DashboardRowID">
                                    <i class="fa fa-list-ol"></i>
                                </a>
                                <a class="deleterow" href="#"
                                   data-toggle="modal" data-target="#deleteModalConfirm" data-rowid="@row.DashboardRowID">
                                    <i class="fa fa-trash"></i>
                                </a>
                                @if (row.RowNumber > 1)
                                {
                                    <a asp-controller="DashboardRow" asp-action="EasyMoveRowUp" asp-route-id="@Model.DashboardId" asp-route-id2="@row.DashboardRowID">
                                        <i class="fa fa-arrow-up"></i>
                                    </a>
                                }
                                @if (row.RowNumber < Model.Config.Rows.Count)
                                {
                                    <a asp-controller="DashboardRow" asp-action="EasyMoveRowDown" asp-route-id="@Model.DashboardId" asp-route-id2="@row.DashboardRowID">
                                        <i class="fa fa-arrow-down"></i>
                                    </a>
                                }
                            </div>
                            <div class="row">
                                @{
                                    var closeDiv = "";
                                }
                                @foreach (KpiViewModel kpi in row.Kpis)
                                {
                                    @if (!kpi.SameColumnThanPrevious)
                                    {
                                        @Html.Raw(closeDiv)
                                        @Html.Raw(kpi.DivColumnStart)
                                    }

                                    @if (kpi.Type != KpiViewModelType.None)
                                    {
                                        <vc:kpi-generic kpi-key="@kpi.KpiMnemonic" id="@kpi.KpiId"></vc:kpi-generic>
                                    }
                                    else
                                    {
                                        <vc:kpi-not-supported kpi-key="@kpi.KpiMnemonic" id="@kpi.KpiId"></vc:kpi-not-supported>
                                    }
                                    closeDiv = "</div>";
                                }
                                @Html.Raw(closeDiv)
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>

    
</div>

@section Scripts {
    <script src="~/lib/kpi/sparkline.js"></script>
    <script src="~/lib/kpi/columnchart.js"></script>
    <script src="~/lib/kpi/piechart.js"></script>

    <script>
        Highcharts.setOptions({
            //colors: ['#2C82C9', '#61BD6D', '#ED561B', '#F7DA64', '##FBA026', '#EB6B56', '#A38F84', '#9365B8', '#3D8EB9','#41A85F','#FAC51C','#F37934','#D1D5D8','#475577']
            colors: ['#16A64F', '#B8E259', '#0B8695', '#60C7B9', '#E9832A', '#FEBB40', '#B73A8D']
        });

        $(document).ready(function () {

            // Add slimscroll to element
            $('.scroll_content').slimscroll({
                height: '400px'
            });

            $('#deleteModalConfirm').on('show.bs.modal', function (event) {
                var button = $(event.relatedTarget); // Button that triggered the modal
                var rowid = button.data('rowid'); // Extract info from data-* attributes
                var dashboardid = '@Model.DashboardId';
                var modal = $(this);
                modal.find('.actionYesModal')[0].href = '/DashboardRow/DeleteRow/' + dashboardid + '/' + rowid;
            });
        });

    </script>
}